Ошибка: (3, 0) Причина: org / apache / commons / lang3 / StringUtils

Я получаю следующую ошибку

Ошибка: (3, 0) Причина: org / apache / commons / lang3 / StringUtils

Когда я пытаюсь добавить привязку данных в свой проект Android.

Мои зависимости включают:

// Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.0.0-alpha7' classpath 'me.tatarka:gradle-retrolambda:3.2.2' classpath 'com.android.databinding:dataBinder:1.0-rc1' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() } } task clean(type: Delete) { delete rootProject.buildDir } 

Моя оболочка градиента: distributionUrl = https: //services.gradle.org/distributions/gradle-2.2.1-all.zip

Мой файл градиента:

 apply plugin: 'com.android.application' apply plugin: 'me.tatarka.retrolambda' apply plugin: 'com.android.databinding' android { compileSdkVersion 23 buildToolsVersion "23.0.1" defaultConfig { applicationId "com.quizviz.workbook.myworkbook" minSdkVersion 14 targetSdkVersion 23 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } dataBinding { enabled = true } compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' compile 'com.android.support:appcompat-v7:23.1.1' compile 'com.android.support:design:23.1.1' compile 'io.reactivex:rxandroid:1.1.0' compile 'io.reactivex:rxjava:1.1.0' compile 'com.jakewharton.rxbinding:rxbinding:0.2.0' compile 'com.jakewharton:butterknife:7.0.1' compile 'com.squareup.retrofit2:retrofit:2.0.0-beta3' compile 'com.squareup.retrofit2:converter-jackson:2.0.0-beta3' compile 'com.squareup.retrofit2:adapter-rxjava:2.0.0-beta3' compile 'com.squareup.okhttp3:okhttp:3.0.1' compile 'com.squareup.okhttp3:okhttp-urlconnection:3.0.1' } 

    Мне потребовалось некоторое время, чтобы заметить, что эта проблема вызвана обновлением Google, чтобы использовать библиотеку привязки данных. Вы можете увидеть дополнительную информацию отсюда: http://developer.android.com/tools/data-binding/guide.html .

    Вы можете просто удалить эти две строки кода:

     apply plugin: 'com.android.databinding' 

    И это в зависимостях buildscript:

     classpath 'com.android.databinding:dataBinder:1.0-rc1' 

    Затем добавьте раздел dataBinding в свой build.gradle следующим образом.

     buildscript { ... } android { ... dataBinding { enabled = true } ... } dependencies { ... } 

    Ну вот. Это работает для меня :).